import { useState } from 'react'

import { Resume as ResumeType } from 'types/graphql'

interface ResumeProps {
  resume?: ResumeType
}

const Resume = ({ resume }: ResumeProps) => {
  const [fileId] = useState<string>(resume?.fileId)

  return (
    <object
      data={fileId}
      type="application/pdf"
      aria-label="Resume PDF"
      style={{
        width: 'calc(100vw - 1rem)',
        height: 'calc(100vh - 6rem)',
      }}
      className="rounded-xl"
    />
  )
}

export default Resume
